﻿@using ASP.NET_MVC5_WebShopExample.Models.ViewModels
@model ProductCreateNavigationStepViewModel
@{
    const string activeClass = "active";
    const string disabledCalss = "disabled";
    string mainClasses, specificationClasses, imagesClasses;

    switch(Model.NavigationStep)
    {
        case ProductCreateNavigationStep.Main:
            mainClasses = activeClass;
            specificationClasses = imagesClasses = disabledCalss;
            break;
        case ProductCreateNavigationStep.CreateSpecifications:
            specificationClasses = activeClass;
            mainClasses = imagesClasses = disabledCalss;
            break;
        case ProductCreateNavigationStep.UploadImages:
            imagesClasses = activeClass;
            mainClasses = specificationClasses = disabledCalss;
            break;
        default:
            mainClasses = activeClass;
            specificationClasses = imagesClasses = disabledCalss;
            break;
    }
}
<ul class="nav nav-tabs nav-justified">
    <li role="presentation" class="@mainClasses"><a href="#">Main</a></li>
    <li role="presentation" class="@specificationClasses"><a href="#">Specifications</a></li>
    <li role="presentation" class="@imagesClasses"><a href="#">Images</a></li>
</ul>
